import { cloneDeep } from "lodash"
import NmakeGlobal from "../interface/NmakeGlobal"
import printDebug from "../Tools/DebugPrint"
import { popGlobalStack, pushGlobalStack } from "../Tools/GlobalStack"

const project = (name:string,callback:Function) =>{
    pushGlobalStack()
    printDebug("adding project :"+name)
    callback()
    popGlobalStack()
}

export default project