import { exit } from "process"

const printErrorOrDebug = (...m:string[])=>{
    let str = ""
    m.forEach(v=>{
        str=str+"\n"+v
    })
    if((global as any).isDebug){
        throw Error(str)
    }else{
        console.error(`error :${str}`)
        exit(-1)
    }
}

export default printErrorOrDebug